# env | @vladmandic/face-api - v1.7.6
Documentation for @vladmandic/face-api - v1.7.6

# Variable env`Const`

env: {
createBrowserEnv: (() => Environment );
createFileSystem: ((fs?: any) => FileSystem );
createNodejsEnv: (() => Environment );
getEnv: (() => Environment );
initialize: (() => null | void);
isBrowser: (() => boolean);
isNodejs: (() => boolean);
monkeyPatch: ((env: Partial< Environment >) => void);
setEnv: ((env: Environment ) => void);
} = ...

#### Type declaration

- ##### createBrowserEnv: (() => Environment )

  - - (): Environment

    - #### Returns Environment

- ##### createFileSystem: ((fs?: any) => FileSystem )

  - - (fs?: any): FileSystem

    - #### Parameters

      - ##### `Optional` fs: any

      #### Returns FileSystem

- ##### createNodejsEnv: (() => Environment )

  - - (): Environment

    - #### Returns Environment

- ##### getEnv: (() => Environment )

  - - (): Environment

    - #### Returns Environment

- ##### initialize: (() => null | void)

  - - (): null | void

    - #### Returns null | void

- ##### isBrowser: (() => boolean)

  - - (): boolean

    - #### Returns boolean

- ##### isNodejs: (() => boolean)

  - - (): boolean

    - #### Returns boolean

- ##### monkeyPatch: ((env: Partial< Environment >) => void)

  - - (env: Partial< Environment >): void

    - #### Parameters

      - ##### env: Partial< Environment >

      #### Returns void

- ##### setEnv: ((env: Environment ) => void)

  - - (env: Environment ): void

    - #### Parameters

      - ##### env: Environment

      #### Returns void

- Defined in env/index.ts:50